package com.logicbig.example;

import javax.validation.*;
import java.util.Date;
import java.util.Set;

public class BeanValidationExample {
    public static void main (String[] args) {
        Configuration<?> config = Validation.byDefaultProvider()
                                            .configure();
        ValidatorFactory factory = config.buildValidatorFactory();
        Validator validator = factory.getValidator();
        factory.close();

        Person person = new Person();
        person.setDateOfBirth(new Date(System.currentTimeMillis() + 10000));

        Set<ConstraintViolation<Person>> violations = validator.validate(person);
        violations.forEach(v -> System.out.println(v.getPropertyPath() + "- " + v.getMessage()));
    }
}